Public Member Functions | List of all members
clan::OpenFileDialog Class Reference

Displays the system open file dialog. More...

`#include <open_file_dialog.h>`

## Public Member Functions
| OpenFileDialog (View *owner)
| Constructs an open file dialog. More...
void | add_filter (const std::string &filter_description, const std::string &filter_extension, bool is_default=false)
| Add a filter that determines what types of files are displayed. More...
void | clear_filters ()
| Clears all filters. More...
std::string | get_filename () const
| Get the full path of the file selected. More...
std::vector< std::string > | get_filenames () const
| Gets an array that contains one file name for each selected file. More...
void | set_filename (const std::string &filename)
| Sets a string containing the full path of the file selected. More...
void | set_filter_index (int filter_index)
| Sets a default filter, on a 0-based index. More...
void | set_initial_directory (const std::string &path)
| Sets the initial directory that is displayed. More...
void | set_multi_select (bool multiselect)
| Sets if multiple files can be selected or not. More...
void | set_title (const std::string &title)
| Sets the text that appears in the title bar. More...
bool | show ()
| Shows the file dialog. More...

## Detailed Description

Displays the system open file dialog.

## Constructor & Destructor Documentation

clan::OpenFileDialog::OpenFileDialog | ( | View * | owner | ) |

Constructs an open file dialog.

## Member Function Documentation

void clan::OpenFileDialog::add_filter | ( | const std::string & | filter_description,
|  | const std::string & | filter_extension,
|  | bool | is_default = `false`
| ) |  |

Add a filter that determines what types of files are displayed.

void clan::OpenFileDialog::clear_filters | ( |  | ) |

Clears all filters.

std::string clan::OpenFileDialog::get_filename | ( |  | ) | const

Get the full path of the file selected.

If multiple files are selected, this returns the first file.

std::vector<std::string> clan::OpenFileDialog::get_filenames | ( |  | ) | const

Gets an array that contains one file name for each selected file.

void clan::OpenFileDialog::set_filename | ( | const std::string & | filename | ) |

Sets a string containing the full path of the file selected.

void clan::OpenFileDialog::set_filter_index | ( | int | filter_index | ) |

Sets a default filter, on a 0-based index.

void clan::OpenFileDialog::set_initial_directory | ( | const std::string & | path | ) |

Sets the initial directory that is displayed.

void clan::OpenFileDialog::set_multi_select | ( | bool | multiselect | ) |

Sets if multiple files can be selected or not.

Parameters

  multiselect | = When true, multiple items can be selected.

void clan::OpenFileDialog::set_title | ( | const std::string & | title | ) |

Sets the text that appears in the title bar.

bool clan::OpenFileDialog::show | ( |  | ) |

Shows the file dialog.

Returns
  true if the user clicks the OK button of the dialog that is displayed, false otherwise.

The documentation for this class was generated from the following file:

- open_file_dialog.h